> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send OTP

### What is an OTP?

OTP means One Time Password. It is an automatically generated numeric or alphanumeric string of characters that authenticates a user for transactions.

Send OTP endpoint will deliver OTPs to your users via SMS, WhatsApp or Voice Channels.

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### BODY PARAMS

<ParamField body="sender_id" type="string" required>
  Registered Sender ID
</ParamField>

<ParamField body="destination" type="string" required>
  Mobile number to receive message. Multiple numbers should be separated by comma
</ParamField>

<ParamField body="channel" type="string" required>
  Either or any of the following can be used. sms, whatsapp,voice
</ParamField>

<ParamField body="length" type="int32">
  Length of token should be between 4-10 digits which is optional
</ParamField>

<ParamField body="priority" type="boolean">
  Indicate if you want to send with the priority mode. Default is false
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": [
      {
        "reference_id": "fd2a5c3c-f62f-484d-bc19-410f3483c6f6",
        "destination": "09098377027",
        "status_id": "dj_e2f21121-feee-3740-854f-8bb2db378fe1",
        "status": "whatsapp/voice/sms OTP sent successfully "
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
